Subject: bug#24560: 25.1; With `--font 7x13', wrong font is used for Unicode characters

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Nov 2019 19:07:12 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Vladimir Panteleev <[email-masked]>,  [email-masked]
> Date: Sun, 17 Nov 2019 17:26:18 +0100
> 
> I wonder why I can't reproduce it.  Hm.  The xft/harfbuzz thing
> shouldn't interfere here, should it?  That's a bitfont?

AFAIK, HarfBuzz can use any font at all.  But I don't think it matters
here, because we don't call HarfBuzz functions for "simple" characters.

> ./configure --without-xft --with-harfbuzz
> 
> ...
> 
> Hang on, the latter gives me
> 
>   Does Emacs use HarfBuzz?                                no
> 
> but just ./configure gives me
> 
>   Does Emacs use HarfBuzz?                                yes
> 
> Sounds like a bug in the autoconfig stuff.

Yes.

> Anyway, I get the same result there:

Same as what?

> One more detail.  When inserting CENT SIGN, I get this warning:
> 
> (emacs:29060): Gtk-CRITICAL **: 17:12:48.023: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed
> 
> If I use a different font, I don't get that warning.

If someone knows, or cn find out, what this means, please tell.